.footer {
	background: var(--dark-color);
	color: #fff;
	position: relative;
	padding: 3rem 0 0
}

.footer:before {
	content: '';
	width: 100%;
	height: 2px;
	position: absolute;
	top: 0;
	left: 0;
	background: linear-gradient(to right, rgba(0, 0, 0, 0) 0%, rgba(255, 255, 255, 1) 50%, rgba(0, 0, 0, 0) 100%);
	opacity: 1
}

.footer-content .row-g {
	display: grid;
	grid-template-columns: 31% 23% 23% 23%;
	/* Това е ключовата промяна */
	gap: 2rem;
	align-items: flex-start;
	margin: 0 -1rem;
	width: 100%;
}

.footer-col .h4 {
	font-size: 1.1rem;
	margin-bottom: 1rem;
	font-weight: 600;
	text-transform: uppercase;
	letter-spacing: 1px
}

.footer-col ul {
	list-style: none;
	padding: 0;
	margin: 0;
}

.footer-col li {
	margin: 0.5rem 0;
	margin-bottom: 0;
	padding-bottom: 0
}

.footer-col a {
	color: #fff;
	text-decoration: none;
	font-size: 0.9rem;
	text-transform: uppercase;
	letter-spacing: 0.5px;
	transition: opacity 0.2s ease;
}

.footer-col a:hover {
	opacity: 0.6;
}

.footer-logo {
	display: flex;
	align-items: center;
	height: 100%;
}

.footer-logo .logo {
	z-index: auto;
	max-width: 100%;
	height: auto;
	display: block;
}


.footer-logo .logo #ends {
	width: 30px;
	height: 30px;
	top: -18px;
	left: calc(50% + 2px);
	transform: translateX(-50%);
	opacity: 0;
	visibility: hidden;
}

.footer-col.ex .h4 {
	opacity: .5
}

.footer-col.ex li,
.footer-col.ex li a {
	margin: 0;
	padding: 0;
	line-height: 1.2
}

.footer-col.ex li a {
	font-size: 12px;
	font-weight: 300;
	letter-spacing: 1px;
	/*font-size:.85rem;*/
	display: block;
	margin: .5rem 0;
	opacity: .3
}

.footer-col.ex li a:hover {
	opacity: 1
}


.footer-logo .logo a {
	font-size: 3rem;
	white-space: nowrap !important;
	display: inline-flex;
	flex-wrap: nowrap;
	background: linear-gradient(135deg, var(--main-color) 0%, #764ba2 100%);
	-webkit-background-clip: text;
	-webkit-text-fill-color: transparent;
	background-clip: text;
}

.footer-logo .logo a span{
	display:inline !important;
	background: inherit;
	-webkit-background-clip: text;
	-webkit-text-fill-color: transparent;
	background-clip: text;
}

/* ==================== footer-bottom ========================== */

.footer .footer-bottom{
	/*
	background: rgba(10, 10, 10, 0.95);
	border-top: 1px solid rgba(255, 255, 255, 0.1); */
	margin:  1rem 0 0 0;
	padding: 1rem 0 2rem 0; 
}

.footer .footer-bottom p.copy{
	font-size:14px;
	color:#848384;
	display: flex;
	flex-wrap: nowrap;
	align-items: center;
}

.footer .footer-bottom p.copy > span{
	font-family:Arial, Helvetica, sans-serif !important;
	font-size:1rem !important;
	display:inline-block
}

/* ============================================ */

.footer .footer-bottom p.copy > a{
	color:#848384;
	text-decoration:none;
	margin:0 0.5rem;
	position:relative
}

.footer .footer-bottom p.copy > a:hover{
	color: var(--main-color);
}

.footer .footer-bottom p.copy a::after {
	content: '';
	position: absolute;
	bottom: -5px;
	left: 0;
	width: 0;
	height: 2px;
	background: var(--main-color);
	transition: width 0.3s;
}

.footer .footer-bottom p.copy a:hover::after {
	width: 100%;
}

/* Responsive */

/* До 992px */
@media (max-width: 992px) {

	.footer-content .row-g {
		grid-template-columns: 1fr;
		gap: 2rem 0;
		margin: 0
	}

	.footer-content .row-g .col.ex {
		max-width: none;
	}

	/* Логото става на отделен ред */
	.footer-logo {
		grid-column: 1 / -1;
		width: 100%;
	}

	/* Останалите колони стават 3 */
	.footer-content .row-g {
		grid-template-columns: repeat(3, 1fr);
	}
}

/* До 768px → всичко става 1 колона */
@media (max-width: 680px) {
	.footer-content .row-g {
		grid-template-columns: 1fr;
	}

	.footer-logo {
		grid-column: 1 / -1;
	}
	
	footer.footer .row-g .footer-col.ex{
		padding-left:3rem
	}
	
	.footer-col.ex li a {
		opacity:.9;
		margin-bottom: 1rem;
		display:block
	}
	
	.footer .footer-bottom p.copy,
	.footer .footer-bottom p.copy a{
		color:#fff;
	}
}